# classes/phing/tasks/ext/ioncube/IoncubeEncoderTask.php

## \IoncubeEncoderTask
jump to top

Invokes the ionCube Encoder (PHP4 or PHP5)

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Michiel Rook
author
  Andrew Eddie
author
  Domenico Sgarbossa
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.ioncube
since
  2.2.0
version
  $Id: IoncubeEncoderTask.php 1183 2011-06-22 13:31:31Z mrook $

### Properties

`$comments= 'array'`
Default value `array` Details

Type

`$encoderName= 'ioncube_encoder'`
Default value `ioncube_encoder` Details

Type

`$fromDir= ''`
Details

Type

`$ionOptions= 'array'`
Default value `array` Details

Type

`$ionOptionsXS= 'array'`
Default value `array` Details

Type

`$ionSwitches= 'array'`
Default value `array` Details

Type

`$ioncubePath= '/usr/local/ioncube'`
Default value`/usr/local/ioncube` Details

Type

`$phpVersion= '5'`
Default value `5` Details

Type

`$showCommandLine= 'false'`
Default value `false` Details

Type

`$targetOption= ''`
Details

Type

`$toDir= ''`
Details

Type

### Methods

`addComment( $comment ) :`
Adds a comment to be used in encoded files
Parameters

Name | Type | Description
--- | --- | ---
$comment |  |

`constructArguments( ) :`
Constructs an argument string for the ionCube encoder
`getActionIfNoLoader( ) :`
Returns the action-if-no-loader option
`getAllowEncodingIntoSource( ) :`
Returns the allow-encoding-into-source option
`getAllowedServer( ) :`
Returns the allowed server setting
`getBinary( ) :`
Returns the binary option
`getCallbackFile( ) :`
Returns the callback-file option
`getCopy( ) :`
Returns the copy setting
`getEncode( ) :`
Returns the encode setting
`getEncrypt( ) :`
Returns regexps of additional files to encrypt (separated by space)
`getExpirein( ) :`
Returns the expireIn setting
`getExpireon( ) :`
Returns the expireOn setting
`getFromDir( ) :`
Returns the source directory
`getIgnore( ) :`
Returns the ignore setting
`getIgnoreDeprecatedWarnings( ) :`
Returns the ignore-deprecated-warnings option
`getIgnoreStrictWarnings( ) :`
Returns the ignore-strict-warnings option
`getIoncubePath( ) :`
Returns the path to the ionCube encoder
`getKeep( ) :`
Returns the ignore setting
`getLicensePath( ) :`
Returns the path to the license file to use
`getMessageIfNoLoader( ) :`
Returns the message-if-no-loader option
`getNoDocComments( ) :`
Returns the no-doc-comments option
`getNoShortOpenTags( ) :`
Returns the no-short-open-tags option
`getObfuscate( ) :`
Returns the optimize option
`getObfuscationExclusionFile( ) :`
Returns the obfuscation-exclusions-file option
`getObfuscationKey( ) :`
Returns the optimize option
`getOptimize( ) :`
Returns the optimize option
`getPassPhrase( ) :`
Returns the passphrase to use when encoding files
`getPhpVersion( ) :`
Returns the version of PHP to use (defaults to 5)
`getTargetOption( ) :`
Returns he option to use when encoding target directory already exists (defaults to none)
`getToDir( ) :`
Returns the target directory
`getWithoutRuntimeLoaderSupport( ) :`
Returns the without-runtime-loader-support option
`main( ) :`
The main entry point
Details

throws

`setActionIfNoLoader( $value ) :`
Sets the action-if-no-loader option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setAllowEncodingIntoSource( $value ) :`
Sets the allow-encoding-into-source option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setAllowedServer( $value ) :`
Sets the allowed server
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setBinary( $value ) :`
Sets the binary option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setCallbackFile( $value ) :`
Sets the callback-file option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setCopy( $value ) :`
Sets files or folders to copy (separated by space)
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setEncode( $value ) :`
Sets additional file patterns, files or directories to encode, or to reverse the effect of copy (separated by space)
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setEncrypt( $value ) :`
Sets regexps of additional files to encrypt (separated by space)
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setExpirein( $value ) :`
Sets a period after which the files expire
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setExpireon( $value ) :`
Sets a YYYY-MM-DD date to expire the files
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setFromDir( $value ) :`
Sets the source directory
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setIgnore( $value ) :`
Set files and directories to ignore entirely and exclude from the target directory (separated by space).
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setIgnoreDeprecatedWarnings( $value ) :`
Sets the ignore-deprecated-warnings option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setIgnoreStrictWarnings( $value ) :`
Sets the ignore-strict-warnings option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setIoncubePath( $value ) :`
Sets the path to the ionCube encoder
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setKeep( $value ) :`
Set files and directories not to be ignored (separated by space).
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setLicensePath( $value ) :`
Sets the path to the license file to use
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setMessageIfNoLoader( $value ) :`
Sets the message-if-no-loader option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setNoDocComments( $value ) :`
Sets the no-doc-comments option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setNoShortOpenTags( $value ) :`
Sets the no-short-open-tags option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setObfuscate( $value ) :`
Sets the obfuscate option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setObfuscationExclusionFile( $value ) :`
Sets the obfuscation-exclusions-file option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setObfuscationKey( $value ) :`
Sets the obfuscation key (required if using the obfuscate option)
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setOptimize( $value ) :`
Sets the optimize option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setPassPhrase( $value ) :`
Sets the passphrase to use when encoding files
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setPhpVersion( $value ) :`
Sets the version of PHP to use (defaults to 5)
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setShowCommandLine( $value ) :`
Sets whether to show command line before it is executed
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setTargetOption( $targetOption ) :`
Sets the option to use when encoding target directory already exists (defaults to none)
Parameters

Name | Type | Description
--- | --- | ---
$targetOption |  |

`setToDir( $value ) :`
Sets the target directory
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setWithoutRuntimeLoaderSupport( $value ) :`
Sets the without-runtime-loader-support option
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

Documentation was generated by DocBlox 0.13.1.